Subject: Re: ftpaccess - strange games

From: Tomasz Rys <[email-masked]>
Date: Mon, 24 Aug 1998 16:16:19 +0200

Dear Gregory,

You partly helped me. It was not problem of ftpaccess but of command
line!

the following line now works:

ftptest stream  tcp     nowait  root     /usr/sbin/in.ftpd -a -t3600 -d
-a

two times "-a"

I really do not have idea why!? This is line for 2.4 on the same
machine:

ftp     stream  tcp     nowait  root     /usr/local/etc/ftpd -a -t3600

and it works!

now we use "ftptest" but we had the same results on "plain" ftp

Thanks for help.
regards,

Gregory A Lundberg wrote:
> 
> Your checks indicate that everything should be using the /etc/ftpaccess
> file, yet you don't see that it is.  I'd look for something wrong in the
> file itself.  I'd move the current file aside for a bit and create a brand
> new one (using a Unix editor, in case you used a Windows editor before).
> I'd put in something obvious that'd tell me it was working.  Then I'd move
> the old configuration line-by-line to the new file until I found what
> broke it.  For instance, I'd start with a completely empty /etc/ftpaccess
> and try to log in.  I should be denied and see 'Not in any class' in my
> system log.  Then I'd add a class and see that it lets me in.
> 
> ----
> 
> Gregory A Lundberg              Senior Partner, VRnet Company
> 1441 Elmdale Drive              [email-masked]
> Kettering, OH 45409-1615 USA    1-800-809-2195

-- 
*------------------------------------------------------------------*
+ Tomasz Rys, Clico Hi-Tech Software Promotion Center, Ltd.        +
+ Al. 3-go Maja 7, PL30-063 Krakow, Poland                         +
+ E-mail: [email-masked] Tel: (+48)12-6325166, 12-6343422     +
+ Fax: +48 126323698, Ftp.clico.pl, http://www.clico.pl/           +
+ SunSoft, FTP Software, NetManage, Netscape, Informix, ...        +
*--Please include original in reply -Zalacz oryginal w odpowiedzi -*

---

From: Gregory A Lundberg <[email-masked]>
Date: Mon, 24 Aug 1998 10:16:02 -0400 (EDT)

On Mon, 24 Aug 1998, Tomasz Rys wrote:

> ftptest stream tcp nowait root /usr/sbin/in.ftpd -a -t3600 -d -a
> 
> two times "-a"

Strange, I just tested here and it doesn't care.  One or two -a and it
still uses /etc/ftpaccess.

----

---

From: Tomasz Rys <[email-masked]>
Date: Mon, 24 Aug 1998 17:58:35 +0200

Hi Mike,

is seems that this is real explanation of the problem. However:

1. I do not need argv[0] for 2.4 - did someone changed options
processing in 2.4.2?
2. In general you are right - argv[0] should be present (....  but why
not for 2.4?)

thanks for help.

best regards,

Mike Q. Hiller wrote:
> 
> field 7 and above of an /etc/inetd.conf entry is the  argv[] list
> of the executed program.  Field 7 is argv[0], or the program's name.
> You want:
> 
> ftptest stream tcp nowait root /usr/sbin/in.ftpd in.ftpd -a -t3600 -d
> 
> Mike Hiller
> 
> Tomasz Rys wrote:
> >
> > Dear Gregory,
> >

---

From: bruce draper <[email-masked]>
Date: Mon, 24 Aug 1998 10:44:18 -0500 (CDT)

> ftp     stream  tcp     nowait  root     /usr/local/etc/ftpd -a -t3600

inetd.conf line is documented to include the name of the server program
followed by all server-arguments -- *including* argv[0], the name of the
image as seen by the server.  appenently, either inetd is smart enough to
(silently?) ignore a suspicious name like "-a" or wu-ftpd doesn't care that
his argv[0] makes no sense.  it serendipitously worked for 2.4 since -a was
the default.

sometimes you're just lucky!

bruce

-- 
bruce draper		| "just because we make it is no reason for me to
			|  refrain from observing the emperor has no clothes"
[email-masked]	|                      -- me

---

From: Bob Luckin <[email-masked]>
Date: Mon, 24 Aug 98 12:42:16 CDT

Gindobre Tomasz,

You said :-
> 2. In general you are right - argv[0] should be present (....  but why

In 2.4, the "-a" switch was assumed to be on by default.  In later releases,
this was changed, so it is now off by default, and you must specify "-a"
if you want to use ftpaccess.

This is why 2.4 worked OK - it took "-a" as the process name, and defaulted
to reading ftpaccess anyway.

I have no idea why the default was changed; I suspect that most users get
wuftpd specifically so that they can use one or more of the features in
ftpaccess, so using the file by default would seem to make more sense...

Here's how I'd like to see it work :-
a) "-a" not specified
   Use the ftpaccess file if it finds it, and not use it - without
   complaining - if it can't find it in the expected place.
b) "-a" specified
   Use the ftpaccess file if it finds it, and complain if it can't find it.

But it's not a major problem the way it currently works, once you know you
need to add the option to the command line in inetd.conf it is a one-off
fix...

Cheers, Bob
-- 
Bob Luckin      [email-masked]      "Coder, adapt.  FTP Ada, redo C"
                                 [http://www.dhc.net/~luckin/palindromes.html]

---

From: Bernhard Rosenkraenzer <[email-masked]>
Date: Mon, 24 Aug 1998 23:02:42 +0200 (CEST)

On Mon, 24 Aug 1998, Bob Luckin wrote:

> I have no idea why the default was changed;

According to the docs, it was changed because it is more compatible with
the original in.ftpd, and because that way, people have to actually do
something about ftpaccess rather than just installing the (not very
usable) example file.

>    Use the ftpaccess file if it finds it, and complain if it can't find it.

I agree - and it's the way things are in BeroFTPD. ;)

LLaP
bero

-- 
Windows 98 supports real multitasking - it can boot and crash simultaneously.
***
Anyone sending unwanted advertising e-mail to this address will be charged
$25 for network traffic and computing time. By extracting my address from
this message or its header, you agree to these terms.